unit dilna_f;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ExtCtrls, StdCtrls, ExtDlgs;

type
  TKompetence = array [0..20,0..20] of TCheckBoxState;
  TfrmHlavni = class(TForm)
    Label1: TLabel;
    pnl: TPanel;
    rgPrac: TRadioGroup;
    gbStroje: TGroupBox;
    Soustruh: TCheckBox;
    Horizontka: TCheckBox;
    Vrtacka: TCheckBox;
    Hoblovka: TCheckBox;
    Bruska: TCheckBox;
    Laser1: TCheckBox;
    Laser2: TCheckBox;
    Trumatic: TCheckBox;
    V_Nuzky: TCheckBox;
    M_Nuzky: TCheckBox;
    btnPotvrdit: TButton;
    btnVratit: TButton;
    btnUlozit: TButton;
    btnKonec: TButton;
    btnPrehled: TButton;
    dlgUloz: TSaveTextFileDialog;
    procedure rgPracClick(Sender: TObject);
    procedure btnKonecClick(Sender: TObject);
    procedure FormActivate(Sender: TObject);
    procedure btnPotvrditClick(Sender: TObject);
    procedure btnVratitClick(Sender: TObject);
    procedure btnUlozitClick(Sender: TObject);
    procedure btnPrehledClick(Sender: TObject);
  private
    CanWork  : TKompetence;
    F        : file of TKompetence;
    maxprac  : Integer;      //pocet pracovniku - z formulare
    maxstroj : Integer;      //pocet stroju
  public
    { Public declarations }
  end;

var
  frmHlavni: TfrmHlavni;

implementation

{$R *.dfm}

procedure TfrmHlavni.btnKonecClick(Sender: TObject);
begin
 Close;
end;

procedure TfrmHlavni.btnPotvrditClick(Sender: TObject);
var
  i,j : Integer;
begin
  i := rgPrac.ItemIndex;
    for j := 0 to maxstroj - 1 do
      CanWork [i,j] := (gbStroje.Controls[j] as TCheckBox).State;

  btnPotvrdit.Enabled := false;
  btnVratit.Enabled := false;
  btnUlozit.Enabled := true;
end;



procedure TfrmHlavni.btnPrehledClick(Sender: TObject);
var
 JmenoSouboru : String;
begin
 dlgUloz.Title := 'Ulo pehled';
 dlgUloz.Filter := 'Textov soubory (*.txt)|*.txt|Vechny soubory (*.*)|*.*';
 dlgUloz.FileName := GetCurrentDir + '\dilna.txt';
  if dlgUloz.Execute then
                       JmenoSouboru := dlgUloz.FileName
                     else
                       Exit;


end;

procedure TfrmHlavni.btnVratitClick(Sender: TObject);
var
 i,j : Integer;
begin
   i := rgPrac.ItemIndex;
    for j := 0 to maxstroj - 1 do
      (gbStroje.Controls[j] as TCheckBox).State := CanWork [i,j];
end;

procedure TfrmHlavni.FormActivate(Sender: TObject);
var
  i,j : Integer;
begin
 maxprac := rgPrac.ControlCount; //rgPrac.Items.Count;
 maxstroj := gbStroje.ControlCount;

 AssignFile (F, 'kvalifikace.hid');
  {$I-}
   Reset (F);
  {$I+}
   if IOResult <> 0 then
     begin
       ShowMessage ('Soubor s kompetencemi neexistuje');
          for i := 0 to maxprac - 1 do
           for j := 0 to maxstroj - 1 do
            CanWork [i,j] := cbUnChecked;
     end
      else
     begin
       Read (F, CanWork);
       CloseFile (F);
     end;
end;

procedure TfrmHlavni.btnUlozitClick(Sender: TObject);
begin
  ReWrite (F);
   Write (F, CanWork);
  CloseFile (F);

  btnUlozit.Enabled := false;
end;

procedure TfrmHlavni.rgPracClick(Sender: TObject);
var
 i,j : Integer;
begin
  gbStroje.Enabled := true;
  Self.btnPotvrdit.Enabled := true;
  Self.btnVratit.Enabled := true;
  Self.btnUlozit.Enabled := false;

  i := rgPrac.ItemIndex;
    for j := 0 to maxstroj - 1 do
      (gbStroje.Controls[j] as TCheckBox).State := CanWork [i,j];



end;

end.
